package com.hw.ems.api.domain;


import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 计量与类型对应关系对象 base_type_relation
 *
 * @author YinQ
 * @date 2023-04-07
 */
public class BaseTypeRelation extends BaseEntity
{

    private static final long serialVersionUID = 1L;

    /**
     * 自增标识
     */
    private Long objid;


    /**
     * 类型
     */
    @Excel(name = "类型", dictType = "statistical_unit")
    private Long type;

    /**
     * 统计单元名称
     */
    @Excel(name = "类型对应名称")
    private String unitName;

    /**
     * 类型对应关系
     */
//    @Excel(name = "类型对应关系")
    private Long relationId;

    /**
     * 类型对应关系List
     */
    private List<Long> relationIdList;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /**
     * 计量设备名称
     */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /**
     * 能源类型
     */
    @Excel(name = "能源类型", dictType = "energy_type")
    private Long monitorType;

    /**
     * 比率
     */
    @Excel(name = "比率")
    private BigDecimal rate;

    /**
     * 计算方式
     */
    @Excel(name = "计算方式", dictType = "formulaMode")
    private Integer formulaMode;

    public List<Long> getRelationIdList() {
        return relationIdList;
    }

    public void setRelationIdList(List<Long> relationIdList) {
        this.relationIdList = relationIdList;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    public Integer getFormulaMode() {
        return formulaMode;
    }

    public void setFormulaMode(Integer formulaMode) {
        this.formulaMode = formulaMode;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Long getMonitorType() {
        return monitorType;
    }

    public void setMonitorType(Long monitorType) {
        this.monitorType = monitorType;
    }

    public void setObjid(Long objid) {
        this.objid = objid;
    }

    public Long getObjid() {
        return objid;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getType() {
        return type;
    }

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }

    public Long getRelationId() {
        return relationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objid", getObjid())
                .append("monitorId", getMonitorId())
                .append("type", getType())
                .append("relationId", getRelationId())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
